Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.4.x
Author Message
whitebox
Regular
Regular


Joined: Nov 22, 2004
Posts: 52

PostPosted: Sat Feb 11, 2006 2:15 pm Reply with quote

i just updated my sentine to 2.4.2pl4 and it started banning any not register user that tried download files from my download section (flood ban). is this a bug because if they want to register after that they can't get to my site.
any thoughts on that ???
thanks
 
View user's profile Send private message Visit poster's website
manunkind
Client


Joined: Apr 26, 2004
Posts: 368
Location: Albuquerque, NM

PostPosted: Sat Feb 11, 2006 9:56 pm Reply with quote

I'm having problems too. It's blocking almost everybody now.
 
View user's profile Send private message Visit poster's website
Guardian2003
Site Admin


Joined: Aug 28, 2003
Posts: 6792
Location: Ha Noi, Viet Nam

PostPosted: Sat Feb 11, 2006 11:08 pm Reply with quote

You must have some forbidden characters in your file names.
BTW having the downloads module set to 'all visitors' so other sites can hotlink to them is not a good idea - but of course its your bandwidth Wink
 
View user's profile Send private message Send e-mail
whitebox
PostPosted: Sat Feb 11, 2006 11:19 pm Reply with quote

i'm not sure if you are reffering to me with having open download to everyone but my downloads are only for register members. that is why i was getting confused with sentinel 2.4.2pl4. i know it should let all visitors go thru my download categories and look waht files i have, but when they try to dl file ( i'm using EDL) should give them message that they can't because they are not register. ( that is doing now since i disable the flood). so what happen after updating to sentinel 2.4.2pl4 it was blocking not register visitor after going to download module and trying to dl file, EDL was not showing that message ( hey your are not register please do so before you can dl) sentinel was blocking those visitor right the way.
 
Doulos
Life Cycles Becoming CPU Cycles


Joined: Jun 06, 2005
Posts: 623

PostPosted: Sun Feb 12, 2006 1:24 pm Reply with quote

2.4.2pl4? Didn't know about that one. What has changed from pl3?
 
View user's profile Send private message
manunkind
PostPosted: Sun Feb 12, 2006 1:31 pm Reply with quote

Ezekiel wrote:
2.4.2pl4? Didn't know about that one. What has changed from pl3?

Only registered users can see links on this board! Get registered or login!

Obviously something changed in the Flood Blocker part of it. It was ok until I upgraded. Then I left the computer for about 15 minutes and came back to about 40+ emails saying that it was blocking people.

I would back up your files first in case you have to go back to the previous version. Or just wait until Raven and Bob look at the code and see what changed to all of a sudden cause this.
 
Doulos
PostPosted: Sun Feb 12, 2006 4:13 pm Reply with quote

Thanks, I downloaded the upgrade but it is giving me an error when I try to unpack it. So I will wait and see.
 
BobMarion
Former Admin in Good Standing


Joined: Oct 30, 2002
Posts: 1037
Location: RedNeck Land (known as Kentucky)

PostPosted: Mon Feb 13, 2006 10:23 pm Reply with quote

I have tried and tried to reproduce the tripping of the flood blocker using the Downloads module but am unable to do so. I am testing using a virgin install of both 7.6 and 2.4.2pl4 . Any other information to guide me would be most helpful.

_________________
Bob Marion
Codito Ergo Sum
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Send e-mail Visit poster's website
BobMarion
PostPosted: Mon Feb 13, 2006 10:25 pm Reply with quote

Ezekiel wrote:
Thanks, I downloaded the upgrade but it is giving me an error when I try to unpack it. So I will wait and see.


Make sure the file downloads as a .tar.gz not a .tar or .tar.tar. I am getting ready to change all the downloads from .tar.gz to .tgz which is the same just a short extension.
 
BobMarion
PostPosted: Mon Feb 13, 2006 10:36 pm Reply with quote

Okay, I have found out a couple of things.
1) If you lower the POST Flood Delay: time down from 5 to say 3 or 2 it will cut out alot of the "Blocks".
2) If you lower the GET Flood Delay: time down from 5 to say 3 or 2 (with get you can go to 1 even) it will cut out alot of the "Blocks".

Here again I'm testing with virgin installs of 7.6 Patched 3.1 and 2.4.2pl4 . I was still logged in as an admin in my first round of tests Sad forgot I had coded a failsafe for admin into the flood blocker.
 
vmMayhem
New Member
New Member


Joined: Feb 01, 2005
Posts: 15

PostPosted: Sun Feb 19, 2006 1:19 am Reply with quote

BobMarion wrote:
Okay, I have found out a couple of things.
1) If you lower the POST Flood Delay: time down from 5 to say 3 or 2 it will cut out alot of the "Blocks".
2) If you lower the GET Flood Delay: time down from 5 to say 3 or 2 (with get you can go to 1 even) it will cut out alot of the "Blocks".

Here again I'm testing with virgin installs of 7.6 Patched 3.1 and 2.4.2pl4 . I was still logged in as an admin in my first round of tests Sad forgot I had coded a failsafe for admin into the flood blocker.


Both of my flood settings are at 2 and people are getting banned like crazy since I update to NukeSentinel 2.4.2pl4 as well.
 
View user's profile Send private message
evaders99
Former Moderator in Good Standing


Joined: Apr 30, 2004
Posts: 3221

PostPosted: Sun Feb 19, 2006 9:47 pm Reply with quote

Yep its been reported. Nothing to do yet but disable Flood protection

_________________
- Only registered users can see links on this board! Get registered or login! -

Need help? Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.4.x

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©